<template>
<div>
  <a-table :columns="columns" :data-source="store.searchPassengersByKeyword" size="middle" :loading="store.isBuildingLoading">
    <a slot="facePreview" slot-scope="id, row">
      <a-avatar shape="square" :size="50" icon="user" :src="row.profilePhoto" class="bg-blue-light" />
    </a>
    <div slot="operation" slot-scope="id, row">
      <PersonDialog :passenger="row">
        <b-action-button>More detail</b-action-button>
      </PersonDialog>
    </div>
  </a-table>
</div>
</template>

<script>
import { defineComponent } from '@nuxtjs/composition-api'
import { useBuilding } from '~/store/building'
import BActionButton from '~/components/shared/buttons/ActionButton'
import PersonDialog from '~/components/person/PersonDialog.vue'

const columns = [
  {
    title: 'FACE PREVIEW',
    dataIndex: 'facePreview',
    key: 'facePreview',
    scopedSlots: { customRender: 'facePreview' },
    width: 120,
  },
  {
    title: 'Name',
    dataIndex: 'displayName',
    key: 'displayName',
    width: 300,
  },
  {
    title: 'AREA',
    dataIndex: 'areaName',
    key: 'areaName',
  },
  {
    title: 'UNIT',
    dataIndex: 'unitName',
    key: 'unitName',
  },
  {
    title: '',
    dataIndex: 'operation',
    scopedSlots: { customRender: 'operation' },
    key: 'operation',
    width: 150,
  },
]

export default defineComponent({
  components: { BActionButton, PersonDialog },
  setup() {
    const store = useBuilding()
    return { store }
  },
  data() {
    return {
      columns,
    }
  },
})
</script>
